## tree-sitter-markdown 0.2.3

=== tree-sitter-markdown/Makefile ===
LANGUAGE_NAME := tree-sitter-markdown

REQUIRES := tree-sitter-markdown-inline

include ../common/common.mak

=== debian/changelog ===
tree-sitter-markdown (0.2.3-3) unstable; urgency=medium

  * Add libc-dev and make to tree-sitter-*-src Depends
  * Add cargo and rustc explicitly to Build-Depends

 -- James McCoy <jamessan@debian.org>  Sun, 16 Mar 2025 22:20:49 -0400

tree-sitter-markdown (0.2.3-2) unstable; urgency=medium

  * Upload to unstable
  * Declare compliance with Policy 4.7.2, no changes needed
  * Add salsa-ci config
  * copyright: Fix paths for tree_sitter headers

 -- James McCoy <jamessan@debian.org>  Sat, 08 Mar 2025 14:11:40 -0500

tree-sitter-markdown (0.2.3-1) experimental; urgency=medium

  * Initial debianization. (Closes: #1072003)

 -- James McCoy <jamessan@debian.org>  Thu, 26 Dec 2024 17:05:47 -0500

=== debian/control ===
Source: tree-sitter-markdown
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 cargo:native,
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 nodejs,
 rustc:native,
 tree-sitter-cli (>= 0.22),
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/tree-sitter-grammars/tree-sitter-markdown/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-markdown.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-markdown

Package: tree-sitter-markdown-src
Architecture: all
Depends:
 ${misc:Depends},
 gcc,
 libc6-dev | libc-dev,
 libtree-sitter-dev (>= 0.21),
 make,
 pkgconf,
Description: markdown parser for Tree-sitter (source files)
 This package contains the generated source files for building the markdown
 parser shared object.

Package: tree-sitter-markdown-inline-src
Architecture: all
Depends:
 ${misc:Depends},
 gcc,
 libc6-dev | libc-dev,
 libtree-sitter-dev (>= 0.21),
 make,
 pkgconf,
Description: inline markdown parser for Tree-sitter (source files)
 This package contains the generated source files for building the inline
 markdown parser shared object.

Package: librust-tree-sitter-md-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 ${misc:Depends},
Provides:
 librust-tree-sitter-md+default-dev (= ${binary:Version}),
 librust-tree-sitter-md-0-dev (= ${binary:Version}),
 librust-tree-sitter-md-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-md-0.2-dev (= ${binary:Version}),
 librust-tree-sitter-md-0.2+default-dev (= ${binary:Version}),
 librust-tree-sitter-md-0.2.3-dev (= ${binary:Version}),
 librust-tree-sitter-md-0.2.3+default-dev (= ${binary:Version}),
Description: Markdown grammar for the tree-sitter parser - Rust source code
 tree-sitter-md is a tree-sitter grammar for Markdown, implementing the
 CommonMark Spec and (optionally) some of its extensions.
 .
   * GitHub flavored markdown - Default
   * Task lists - Default
   * Strikethrough - Default
   * Pipe tables - Default
   * YAML metadata - Default
   * TOML metadata - Default
   * Tags - Enabled at compile time
   * Wiki Link - Enabled at compile time
 .
 Tree-sitter is a parser generator and incremental parsing library.
 .
 This package contains the source for the Rust tree-sitter-md crate,
 packaged for use with cargo.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export TREE_SITTER_SRC_DIR_MARKDOWN = /usr/src/tree-sitter/markdown/${DEB_VERSION_UPSTREAM}/
export TREE_SITTER_SRC_DIR_MARKDOWN_INLINE = /usr/src/tree-sitter/markdown_inline/${DEB_VERSION_UPSTREAM}/
export ALL_EXTENSIONS=1

%:
	dh $@

debian/%/Makefile: debian/Makefile.in
	mkdir -p debian/$*
	sed -e "s/@PARSER_NAME@/$*/" -e "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@

override_dh_auto_clean:

override_dh_auto_build:
	cd tree-sitter-markdown && tree-sitter generate --no-bindings
	cd tree-sitter-markdown-inline && tree-sitter generate --no-bindings
	dh_auto_build --buildsystem=rust

# Do not run Makefile install
override_dh_auto_install:
	dh_auto_install --buildsystem=rust

override_dh_install: debian/markdown/Makefile debian/markdown_inline/Makefile
	dh_install

override_dh_auto_test:
	cd tree-sitter-markdown && XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test
	cd tree-sitter-markdown-inline && XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test
	dh_auto_test --buildsystem=rust

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-markdown-src

Tests: smoke-inline
Depends: tree-sitter-cli, tree-sitter-markdown-inline-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.2.3 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-md-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-md-0.2-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.2.3 --all-targets
Features:
 test-name=librust-tree-sitter-md-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-md-0.2+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.2.3 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-md-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-md-0.2-dev,
Restrictions:
 allow-stderr,

## tree-sitter-markdown 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(tree-sitter-markdown
        VERSION "0.5.0"
        DESCRIPTION "Markdown grammar for tree-sitter"
        HOMEPAGE_URL "https://github.com/tree-sitter-grammars/tree-sitter-markdown"
        LANGUAGES C)

option(BUILD_SHARED_LIBS "Build using shared libraries" ON)
option(TREE_SITTER_REUSE_ALLOCATOR "Reuse the library allocator" OFF)
option(ALL_EXTENSIONS "Enable all Markdown extensions" OFF)

set(TREE_SITTER_ABI_VERSION 14 CACHE STRING "Tree-sitter ABI version")
if(NOT ${TREE_SITTER_ABI_VERSION} MATCHES "^[0-9]+$")
    unset(TREE_SITTER_ABI_VERSION CACHE)
    message(FATAL_ERROR "TREE_SITTER_ABI_VERSION must be an integer")
endif()

find_program(TREE_SITTER_CLI tree-sitter DOC "Tree-sitter CLI")

include(GNUInstallDirs)

macro(add_parser name)
    add_custom_command(OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/src/parser.c"
                       DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/grammar.js"
                       COMMAND "${CMAKE_COMMAND}" -E env ALL_EXTENSIONS=$<BOOL:${ALL_EXTENSIONS}>
                                -- "${TREE_SITTER_CLI}" generate --abi=${TREE_SITTER_ABI_VERSION}
                       BYPRODUCTS "${CMAKE_CURRENT_SOURCE_DIR}/src/grammar.json"
                                  "${CMAKE_CURRENT_SOURCE_DIR}/src/node-types.json"
                                  "${CMAKE_CURRENT_SOURCE_DIR}/src/tree_sitter/alloc.h"
                                  "${CMAKE_CURRENT_SOURCE_DIR}/src/tree_sitter/array.h"
                                  "${CMAKE_CURRENT_SOURCE_DIR}/src/tree_sitter/parser.h"
                       WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                       COMMENT "Generating parser.c")

    add_library(tree-sitter-${name}
                "${CMAKE_CURRENT_SOURCE_DIR}/src/parser.c"
                "${CMAKE_CURRENT_SOURCE_DIR}/src/scanner.c")
    target_include_directories(tree-sitter-${name} PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/src")

    target_compile_definitions(tree-sitter-${name} PRIVATE
                               $<$<BOOL:${TREE_SITTER_REUSE_ALLOCATOR}>:TREE_SITTER_REUSE_ALLOCATOR>
                               $<$<CONFIG:Debug>:TREE_SITTER_DEBUG>)

    set_target_properties(tree-sitter-${name}
                          PROPERTIES
                          C_STANDARD 11
                          POSITION_INDEPENDENT_CODE ON
                          SOVERSION "${TREE_SITTER_ABI_VERSION}.${PROJECT_VERSION_MAJOR}"
                          DEFINE_SYMBOL "")

    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/bindings/c/tree-sitter-${name}.pc.in"
                   "${CMAKE_CURRENT_BINARY_DIR}/tree-sitter-${name}.pc" @ONLY)

    install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/bindings/c/tree-sitter-${name}.h"
            DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/tree_sitter")
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tree-sitter-${name}.pc"
            DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig")
    install(TARGETS tree-sitter-${name}
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
endmacro()

add_subdirectory(tree-sitter-markdown tree-sitter-markdown)

add_subdirectory(tree-sitter-markdown-inline tree-sitter-markdown-inline)

=== Makefile ===
all install uninstall clean:
	$(MAKE) -C tree-sitter-markdown $@
	$(MAKE) -C tree-sitter-markdown-inline $@

.PHONY: all install uninstall clean

=== tree-sitter-markdown-inline/CMakeLists.txt ===
set(PROJECT_DESCRIPTION "Markdown inline grammar for tree-sitter")

add_parser(markdown-inline)

add_custom_target(test-inline "${TREE_SITTER_CLI}" test
                  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
                  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/parser.c"
                  COMMENT "tree-sitter test")

=== tree-sitter-markdown-inline/Makefile ===
LANGUAGE_NAME := tree-sitter-markdown-inline

include ../common/common.mak

=== debian/changelog ===
tree-sitter-markdown (0.5.0-3) unstable; urgency=medium

  * Require tree-sitter-cli >= 0.25 for autopkgtest

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 08:29:27 -0400

tree-sitter-markdown (0.5.0-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:52:42 -0400

tree-sitter-markdown (0.5.0-1) experimental; urgency=medium

  * New upstream release
  * Generate parser using the same language ABI as upstream's release

 -- James McCoy <jamessan@debian.org>  Thu, 04 Sep 2025 18:55:46 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  cargo:native,
  debhelper-compat (= 13),
  dh-sequence-rust,
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.1.22),
+ librust-tree-sitter-language-0.1+default-dev,
+ librust-tree-sitter-0.25+default-dev,
  nodejs,
  rustc:native,
- tree-sitter-cli (>= 0.22),
+ tree-sitter-cli (>= 0.24.3),
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/tree-sitter-grammars/tree-sitter-markdown/
@@ -25,7 +26,8 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ librust-tree-sitter-language-0.1+default-dev,
+ libtree-sitter-dev (>= 0.21.1),
  make,
  pkgconf,
 Description: markdown parser for Tree-sitter (source files)
@@ -38,7 +40,8 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ librust-tree-sitter-language-0.1+default-dev,
+ libtree-sitter-dev (>= 0.21.1),
  make,
  pkgconf,
 Description: inline markdown parser for Tree-sitter (source files)
@@ -50,17 +53,22 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.1.22),
+ librust-tree-sitter-language-0.1+default-dev,
+ librust-tree-sitter-0.25+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-md+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md+parser-dev (= ${binary:Version}),
  librust-tree-sitter-md-0-dev (= ${binary:Version}),
  librust-tree-sitter-md-0+default-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2+default-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2.3-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2.3+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0+parser-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5+parser-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5.0-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5.0+parser-dev (= ${binary:Version}),
 Description: Markdown grammar for the tree-sitter parser - Rust source code
  tree-sitter-md is a tree-sitter grammar for Markdown, implementing the
  CommonMark Spec and (optionally) some of its extensions.

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 override_dh_auto_clean:
 
 override_dh_auto_build:
-	cd tree-sitter-markdown && tree-sitter generate --no-bindings
-	cd tree-sitter-markdown-inline && tree-sitter generate --no-bindings
+	cd tree-sitter-markdown && tree-sitter generate --abi "$$(sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)"
+	cd tree-sitter-markdown-inline && tree-sitter generate --abi "$$(sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)"
 	dh_auto_build --buildsystem=rust
 
 # Do not run Makefile install

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli (>= 0.25), tree-sitter-markdown-src

Tests: smoke-inline
Depends: tree-sitter-cli (>= 0.25), tree-sitter-markdown-inline-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-md-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-0.25+default-dev,
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets
Features:
 test-name=librust-tree-sitter-md-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-md-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets --no-default-features --features parser
Features:
 test-name=librust-tree-sitter-md-dev:parser,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-0.25+default-dev,
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0-dev,
Restrictions:
 allow-stderr,
